What is Smart ToDo

Smart ToDo is innovative task management software.

Instead of providing a bunch of unnecessary features Smart ToDo concentrates on what it should - helping you manage your everyday tasks better.

Smart ToDo sports a convenient tabs based interface thus giving you a powerful way to make yourself organized.

To get accustomed faster take the Quick Tour.


Quick Tour

Designed for the sole purpose to help you manage your everyday tasks Smart ToDo is doing it very well.

Step 1

When you start Smart ToDo for the first time no tasks are yet entered.

You can use the 'Add New Task' button on the toolbar (the first one).

Step 2

The 'Add New Task' window appears.

Since Smart ToDo does not force you to fill any of the fields you can simply click 'OK'.

But let's make it more useful, and enter some real info.

Type in 'Meet with Jack' in the subject field.

Now, if you want to take advantage of the Category feature, change the category to 'Meeting'.

Since this will not be a long lasting task we will not set a Due Date.

Step 3

Click on the 'Reminder' tab to open the Reminder page.

Click the check box 'Use Reminder' to enable this feature.

By default the date will be set at time exactly one day from today.

Leave it as it is and click 'OK'.

That is it. Being organized from now on will be as easy as few clicks with the mouse.

You can continue exploring the rich features of Smart ToDo in other sections of this help file.


Contacts and Support

We provide free support for all our registered users by email or through our on-line support forum.

Get help or report bugs at support@vituoza.com

The support forum is at http://www.virtuoza.com/phorum/list.php?f=4

To get new versions of this application or other great software visit www.Virtuoza.com


How to Order

Smart ToDo will work fully functional for 30 days.

After this period if you want to continue to use this application you will have to register it.

Buy purchasing Smart ToDo you get:

  • unlimited and fully functional program

  • free support

  • life-time licence

The price is $19.95

You can purchase Smart ToDo securely at www.virtuoza.com/SmartToDo/purchase.php

On payment approval we will send you a registration key which you can enter in the Registration Window.


Entering Your Registration Key

Once you receive your registration key you must enter it in the registration window.

You can open this window either from the splash screen by clicking the 'Enter Key' button,

or by choosing 'Enter Registration Key' from the Help menu.

Due to the fact that the registration key is long you may easily type it wrong.

So it is easier if you just copy and paste it from the email in which you received it.


Main Window

The main window of Smart ToDo consists of:

Menu

Toolbar

Sort By and Category buttons

Task List

Tabs Area

Quick Actions Panel


Toolbar

The toolbar contains the following buttons:

Add New Task

Edit Task

Delete Task

Open Attachment

Find

Options

Help


Tabs Area

The Tabs Area contains all the tabs available.

In case there are too many tabs scroll buttons will appear.

On the right you will find the 'Quick Tabs Actions' button.

Click it and a Popup Menu will appear.

It allows you to create a new tab, rename the current tab, or delete the current tab.


Quick Actions Panel

In the lower side of Smart ToDo you will find The Quick Actions Panel.

You can hide it if you want by clicking on its title or show it again by clicking it again.

Here you will find:

Master Category List

Create New Tab

Purge Finished Tasks


Task Window

The Task Page

Here you can enter a subject (a title for the task).

If you know that you have to finish this task for a specified time you may enter a due date.

By default the priority of the task is normal but you may set it to High or Low if you think it is appropriate.

And last you can set a category for your task.

The Reminder Page

For every task you can set a reminder.

Set the date and time it that you want to be reminded.

By default the date and time will be set one day after today at the same time.

You can choose that you are notified only by a balloon appears from the tray or a dialog box with more options notifies you.

You can choose a sound to be played once the reminder is due. A default one will be assigned if you do not choose any.

The Details Page

In the Notes area you may add more text information regarding this task.

You can assign a file or a folder.


Reminders

When its time for a reminder and you have chosen to be notified by a dialog box it will appear.

You can close this reminder or you can click the 'Edit Task' button to change the current task's data.

If you close the reminder window immediately you will be notified again in 5 minutes. From the combo box you can choose if you want to be notified after different period of time or never.


File Menu

Create New Tab

Creates a new tab. more

Rename Tab

Renames the currently selected task. more

Delete Tab

Deletes the currently selected task. more

Print

Prints the task list on a printer.

Options

Opens the 'Options' dialog box.

Exit

Closes Smart ToDo.


Tasks Menu

Add Task

Opens the Task Window allowing you to create new task.

Edit Task

Opens the Task Window allowing you to edit the current task's data.

Delete Task

Deletes the currently selected task(s). Asks for confirmation.

Mark as Finished

Marks as finished all selected tasks in the list.

Mark as Unfinished

Marks as unfinished all selected tasks in the list.

Purge Finished Tasks

Deletes all finished tasks from the list.


More Menu

View Details

Opens the Task Window with the 'Details' tab page opened.

Open Attachment

Opens the attachment of the currently selected task.

Create Yellow Note

Creates a new Yellow Note from the Notes data of the selected task.

Sort By

Allows you to choose the sort criteria for the task list.


Tools Menu

Find

Opens the Find dialog box.

Master Categories

Opens the Master Categories dialog box.

Export Task List

Exports the task list to a CSV file or HTML file.

Full Screen

Switches the application to full screen mode.


Help Menu

Help Topics

Opens this help.

Welcome Screen

Shows the welcome screen.

Start Quick Tour

Opens the Quick Tour.

Virtuoza Web Site

Opens Virtuoza Web Site.

Online Support

Opens the support forum.

Buy Now!

Opens the buy web page.

Enter Registration Key

Opens the Registration window.

About

Opens the About window.


Working With Tasks

Add New Task

When entering data for a particular task, no field is necessary to be filled by you. You may leave empty even the subject.

Edit Task

Change the data you want then click the 'OK' button to confirm.

Delete Task

Select the tasks you want removed then click 'Delete Task'.


Find

Finding the necessary task in Smart ToDo is very easy.

Performing a search

Just type in a word or part of a word.

Click the 'Find' button.

Smart ToDo will search for every task that contains this string either in its title or in its Notes section.

The dialog box will become larger and will show you a list of the tasks which match your search.

Search results

Selecting a task from the list will select it in the task list in the main window.

Double clicking a task will open the Task Edit window.


Master Categories

From the Master Categories dialog box you can edit the available categories.

Add new category

Click the 'Add' button a new dialog box will appear:

Type in the name of the new category and choose an image by which it will be represented.

Click OK to confirm your choice.

Delete one or more categories

Select one or more categories from the list.

Click the 'Delete' button.

Reset categories to their default values

Click on the 'Reset' button.

A message box appears asking you for confirmation.

Click 'Yes'.


Options

On the General tab you will find the base options of Smart ToDo.

On Windows Startup

Allows you to change the options wether Smart ToDo will start automatically with Windows or not.

Hot Key

You can choose a hot key to use. Normally Smart ToDo will stay in Windows tray. You have the opportunity to call it with a simple press of the hot key combination.

Auto check for updates on startup

Checks for new versions of Smart ToDo and if such are available will notify you.

On the Appearance tab you will find the options related to the look-and-feel of Smart ToDo.


Other Operations

Move tasks to different tab.

You can easily move any task from one tab to another.

Select the tasks you want to move.

Then drag-and-drop them on the tab you want them moved to.

Purging Finished Tasks

When you have finished a particular task you may want to keep it for a while in the list as finished.

If you decide that you don't need these tasks anymore you can delete them.

From the Tasks menu select 'Purge Finished Tasks'

A message box appears asking you to confirm.

Click 'Yes' if you are sure you want to do that.

Exporting Tasks

With the use of Smart ToDo the task data stored in it will be becoming more and more important for you. You can easily export this data in CSV or HTML format.

CSV files are known as 'comma delimited files'. It can be opened by Microsoft Excel and many other applications.


Manage Tabs

Create New Tab

Select 'Create New Tab' from the File menu.

A new tab will be created named 'New Tab'.

The tab will be selected and will be in rename state. You may change its name immediately.

Rename Tab

Select 'Rename Tab' from the File menu.

The currently selected tab will be switched to rename mode.

Change its name and press 'Enter' to accept the change.

Delete Tab

Select 'Delete Tab' from the File menu.

A message box will appear asking you if you are sure that you want to delete the current tab including all the tasks contained in it.

Click 'Yes' if you are sure.

You will not be asked if the tab is empty.


Yellow Note

With Smart ToDo you have the ability to quickly and easily create yellow notes from any task's note data.

The tasks text can be edited and the task's note data from where this yellow note originated will be updated.


Open Attachment

Opens the attachment associated with the currently selected task.

If it is a file, the file will be opened with the associated application.

If the attachment is a folder it will be opened in Explorer.


Filter and Sort Tasks

In order to work easily with the task you may want to categorize them.

From the Category button you can select which tasks will be shown.

You can select that all tasks be shown on tasks with a specific category.

You can sort the task list by four criteria: Subject, Category, Priority and Due Date.
Do this by clicking on the 'Sort By' button or select 'Sort By' from the 'More' menu.